Name: gshowtv
Version: 0.4.7
Release: alt1

Summary: TV show schedule viewer
Summary(ru_RU.UTF-8): Программа для просмотра программы телепередач
License: GPL
Group: Video
Source0: %name-%version.tar.gz
Source1: %name.desktop
Patch0: %name-%version-ru.diff
Patch1: %name-%version-ui1.diff
Patch2: %name-%version-ui2.diff
Patch3: %name-%version-ui3.diff
Patch4: %name-%version-silent.diff
URL: http://staff.akumiitti.fi/~pvakevai/gshowtv
BuildArch: noarch
AutoProv: yes, perl
AutoReq: no
Requires: perl perl-Encode perl-threads perl-Glib perl-Gtk2 perl-Gtk2-GladeXML perl-Gnome2 perl-Locale-gettext perl-XMLTV
BuildRequires: perl perl-Encode perl-threads perl-Glib perl-Gtk2 perl-Gtk2-GladeXML perl-Gnome2 perl-Locale-gettext perl-XMLTV
Requires: xmltv perl

%description
GShow TV is a TV program schedule viewer and a Personal Video Recorder GUI. 
GShow TV doesn't itself do the recording of the selected programs, rather 
it uses any PVR solution that exists. GShow TV is globally usable as it uses 
XMLTV to access the program schedules, and xmltv has support for multitude of 
countries. 

%description -l ru_RU.UTF-8
GShow TV - программа для чтения программы передач с поддержкой функций цифрового
видеомагнитофона. GShow TV не занимается записью самостоятельно, а использует 
существующие средства видеозахвата. GShow TV можно пользоваться во многих частях 
мира благодаря пакету XMLTV, который позволяет получать программу передач теле- 
и радио каналов для разных стран.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%__install -m644 %SOURCE1 %name.desktop

%install
make install PREFIX=%buildroot/usr
%find_lang %name

mkdir -p %buildroot%_menudir
cat > %buildroot%_menudir/%name <<EOF
?package(gshowtv): command="gshowtv" icon="%name.png" section="Multimedia/Video" \
title="gShowTV" longtitle="TV Guide Viewer" \
needs="x11"
EOF

%post
%update_menus

%postun
%clean_menus
 
%files -f %name.lang
%_bindir/*
%_datadir/%name
%_datadir/applications/*desktop
%_datadir/gnome/help/*
%_datadir/pixmaps/*png
%_menudir/%name
%doc README TODO AUTHORS cancel record

%changelog
* Sat May 21 2005 Vyacheslav Dikonov <slava@altlinux.ru> 0.4.7-alt1
- 0.4.7 + fixes

* Thu May 12 2005 Vyacheslav Dikonov <slava@altlinux.ru> 0.4.4-alt1
- 0.4.4

* Sun May 06 2005 Vyacheslav Dikonov <slava@altlinux.ru> 0.4.1-alt1
- 0.4.1

* Sun May 02 2005 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.5-alt1
- 0.3.5 + fixes

* Sun Apr 03 2005 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.4-alt1
- ALTLinux build
